mbed TLS v2.23.0

Data Fields
psa_mac_operation_s Struct Reference

`#include <crypto_struct.h>`

Collaboration diagram for psa_mac_operation_s:
[legend]

## Data Fields
psa_algorithm_t | alg
unsigned int | key_set: 1
unsigned int | iv_required: 1
unsigned int | iv_set: 1
unsigned int | has_input: 1
unsigned int | is_sign: 1
uint8_t | mac_size
union {
unsigned dummy
psa_hmac_internal_data hmac
} | ctx

## Detailed Description

Definition at line 129 of file crypto_struct.h.

## Field Documentation

## ◆ alg

psa_algorithm_t psa_mac_operation_s::alg

Definition at line 131 of file crypto_struct.h.

## ◆ ctx

union { ... } psa_mac_operation_s::ctx

## ◆ dummy

unsigned psa_mac_operation_s::dummy

Definition at line 140 of file crypto_struct.h.

## ◆ has_input

unsigned int psa_mac_operation_s::has_input

Definition at line 135 of file crypto_struct.h.

## ◆ hmac

psa_hmac_internal_data psa_mac_operation_s::hmac

Definition at line 142 of file crypto_struct.h.

## ◆ is_sign

unsigned int psa_mac_operation_s::is_sign

Definition at line 136 of file crypto_struct.h.

## ◆ iv_required

unsigned int psa_mac_operation_s::iv_required

Definition at line 133 of file crypto_struct.h.

## ◆ iv_set

unsigned int psa_mac_operation_s::iv_set

Definition at line 134 of file crypto_struct.h.

## ◆ key_set

unsigned int psa_mac_operation_s::key_set

Definition at line 132 of file crypto_struct.h.

## ◆ mac_size

uint8_t psa_mac_operation_s::mac_size

Definition at line 137 of file crypto_struct.h.

The documentation for this struct was generated from the following file:

- crypto_struct.h